#ifndef __PKT_SAP_HEADER_INCLUDED__
#define __PKT_SAP_HEADER_INCLUDED__

/* SAP packet */
struct pkt_sap
{
	u_int16_t op;		/* Operation */
	u_int16_t service;	/* Service type*/
	u_int8_t server_name[48]; /* Server name in quotes */
	u_int32_t network;	/* Network address */
	u_int8_t node[6];	/* Node address */
	u_int16_t skt;		/* Socket address */
	u_int16_t hops;	/* source net */
}__attribute__((packed));

#endif /* __PKT_SAP_HEADER_INCLUDED__ */
