#include "match_tcp.h"

int seq_match(struct packet *p, void *priv, unsigned int l, int n)
{
	u_int32_t seq=__constant_ntohl(p->layer[l+1].h.tcp->seq);
	struct longrange *lr=priv;
	return n ^ (seq>-lr->min && seq<=lr->max);
}

proc_match_match seq_validate(char *arg, void **ptr,
	struct criteria *m, u_int32_t *c)
{
	if ( template_longrange(arg, ptr) )
		return seq_match;
	else
		return NULL;
}

