#ifndef __PKT_IPX_HEADER_INCLUDED__
#define __PKT_IPX_HEADER_INCLUDED__

/* IPX transport header */
struct pkt_ipxhdr
{
	u_int16_t cksum;	/* Checksum */
	u_int16_t length;	/* Length, in bytes, including header */
	u_int8_t tCtl;		/* Transport Control (i.e. hop count) */
	u_int8_t pType;		/* Packet Type (i.e. level 2 protocol) */
	u_int32_t dstNet;	/* destination net */
	u_int8_t dstNode[6];	/* destination node */
	u_int16_t dstSkt;	/* destination socket */
	u_int32_t srcNet;	/* source net */
	u_int8_t srcNode[6];	/* source node */
	u_int16_t srcSkt;	/* source socket */
}__attribute__((packed));

#define ipxSize 30


#endif /* __PKT_IPX_HEADER_INCLUDED__ */
